<!DOCTYPE html>

<html>
  <head>
  <meta charset='utf-8'>
  <title>TestNG reports</title>

    <link type="text/css" href="testng-reports.css" rel="stylesheet" />
    <script type="text/javascript" src="jquery-1.7.1.min.js"></script>
    <script type="text/javascript" src="testng-reports.js"></script>
    <script type="text/javascript" src="https://www.google.com/jsapi"></script>
    <script type='text/javascript'>
      google.load('visualization', '1', {packages:['table']});
      google.setOnLoadCallback(drawTable);
      var suiteTableInitFunctions = new Array();
      var suiteTableData = new Array();
    </script>
    <!--
      <script type="text/javascript" src="jquery-ui/js/jquery-ui-1.8.16.custom.min.js"></script>
     -->
  </head>

  <body>
    <div class="top-banner-root">
      <span class="top-banner-title-font">Test results</span>
      <br/>
      <span class="top-banner-font-1">1 suite</span>
    </div> <!-- top-banner-root -->
    <div class="navigator-root">
      <div class="navigator-suite-header">
        <span>All suites</span>
        <a href="#" title="Collapse/expand all the suites" class="collapse-all-link">
          <img src="collapseall.gif" class="collapse-all-icon">
          </img> <!-- collapse-all-icon -->
        </a> <!-- collapse-all-link -->
      </div> <!-- navigator-suite-header -->
      <div class="suite">
        <div class="rounded-window">
          <div class="suite-header light-rounded-window-top">
            <a href="#" panel-name="suite-PageObjectModel" class="navigator-link">
              <span class="suite-name border-skipped">PageObjectModel</span>
            </a> <!-- navigator-link -->
          </div> <!-- suite-header light-rounded-window-top -->
          <div class="navigator-suite-content">
            <div class="suite-section-title">
              <span>Info</span>
            </div> <!-- suite-section-title -->
            <div class="suite-section-content">
              <ul>
                <li>
                  <a href="#" panel-name="test-xml-PageObjectModel" class="navigator-link ">
                    <span>E:\Study\Automation Testing\PageObjectModel\testng.xml</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="testlist-PageObjectModel" class="navigator-link ">
                    <span class="test-stats">2 tests</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="group-PageObjectModel" class="navigator-link ">
                    <span>0 groups</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="times-PageObjectModel" class="navigator-link ">
                    <span>Times</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="reporter-PageObjectModel" class="navigator-link ">
                    <span>Reporter output</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="ignored-methods-PageObjectModel" class="navigator-link ">
                    <span>Ignored methods</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="chronological-PageObjectModel" class="navigator-link ">
                    <span>Chronological view</span>
                  </a> <!-- navigator-link  -->
                </li>
              </ul>
            </div> <!-- suite-section-content -->
            <div class="result-section">
              <div class="suite-section-title">
                <span>Results</span>
              </div> <!-- suite-section-title -->
              <div class="suite-section-content">
                <ul>
                  <li>
                    <span class="method-stats">2 methods,  1 skipped,  1 passed</span>
                  </li>
                  <li>
                    <span class="method-list-title skipped">Skipped methods</span>
                    <span class="show-or-hide-methods skipped">
                      <a href="#" panel-name="suite-PageObjectModel" class="hide-methods skipped suite-PageObjectModel"> (hide)</a> <!-- hide-methods skipped suite-PageObjectModel -->
                      <a href="#" panel-name="suite-PageObjectModel" class="show-methods skipped suite-PageObjectModel"> (show)</a> <!-- show-methods skipped suite-PageObjectModel -->
                    </span>
                    <div class="method-list-content skipped suite-PageObjectModel">
                      <span>
                        <img src="skipped.png" width="3%"/>
                        <a href="#" panel-name="suite-PageObjectModel" title="Sources.AliPOM" class="method navigator-link" hash-for-method="Crm">Crm</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                    </div> <!-- method-list-content skipped suite-PageObjectModel -->
                  </li>
                  <li>
                    <span class="method-list-title passed">Passed methods</span>
                    <span class="show-or-hide-methods passed">
                      <a href="#" panel-name="suite-PageObjectModel" class="hide-methods passed suite-PageObjectModel"> (hide)</a> <!-- hide-methods passed suite-PageObjectModel -->
                      <a href="#" panel-name="suite-PageObjectModel" class="show-methods passed suite-PageObjectModel"> (show)</a> <!-- show-methods passed suite-PageObjectModel -->
                    </span>
                    <div class="method-list-content passed suite-PageObjectModel">
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-PageObjectModel" title="Sources.AliPOM" class="method navigator-link" hash-for-method="Crm(public void Sources.AliPOM.Crm(java.lang.reflect.Method) throws java.io.IOException)">Crm(public void Sources.AliPOM.Crm(java.lang.reflect.Method) throws java.io.IOException)</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                    </div> <!-- method-list-content passed suite-PageObjectModel -->
                  </li>
                </ul>
              </div> <!-- suite-section-content -->
            </div> <!-- result-section -->
          </div> <!-- navigator-suite-content -->
        </div> <!-- rounded-window -->
      </div> <!-- suite -->
    </div> <!-- navigator-root -->
    <div class="wrapper">
      <div class="main-panel-root">
        <div panel-name="suite-PageObjectModel" class="panel PageObjectModel">
          <div class="suite-PageObjectModel-class-skipped">
            <div class="main-panel-header rounded-window-top">
              <img src="skipped.png"/>
              <span class="class-name">Sources.AliPOM</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="Crm">
                  </a> <!-- Crm -->
                  <span class="method-name">Crm</span>
                  <div class="stack-trace">org.openqa.selenium.NoSuchElementException: No such element (WARNING: The server did not provide any stacktrace information)
Command duration or timeout: 0 milliseconds
For documentation on this error, please visit: https://www.seleniumhq.org/exceptions/no_such_element.html
Build info: version: &apos;3.141.59&apos;, revision: &apos;e82be7d358&apos;, time: &apos;2018-11-14T08:25:48&apos;
System info: host: &apos;DESKTOP-JFPJNVS&apos;, ip: &apos;192.168.1.2&apos;, os.name: &apos;Windows 10&apos;, os.arch: &apos;amd64&apos;, os.version: &apos;10.0&apos;, java.version: &apos;12.0.1&apos;
Driver info: org.openqa.selenium.ie.InternetExplorerDriver
Capabilities {InPrivate: false, acceptSslCerts: true, applicationCacheEnabled: true, browserName: MicrosoftEdge, browserVersion: 42.17134.1.0, javascriptEnabled: true, locationContextEnabled: true, pageLoadStrategy: normal, platform: WINDOWS, platformName: WINDOWS, platformVersion: 10, takesElementScreenshot: true, takesScreenshot: true, webStorageEnabled: true}
Session ID: 40F282E7-7A8D-41BA-BF53-D7D4A32519EB
*** Element info: {Using=xpath, value=//input[@placeholder=&apos;E-mail address&apos;]}
	at org.openqa.selenium.remote.ErrorHandler.createThrowable(ErrorHandler.java:214)
	at org.openqa.selenium.remote.ErrorHandler.throwIfResponseFailed(ErrorHandler.java:166)
	at org.openqa.selenium.remote.http.JsonHttpResponseCodec.reconstructValue(JsonHttpResponseCodec.java:40)
	at org.openqa.selenium.remote.http.AbstractHttpResponseCodec.decode(AbstractHttpResponseCodec.java:80)
	at org.openqa.selenium.remote.http.AbstractHttpResponseCodec.decode(AbstractHttpResponseCodec.java:44)
	at org.openqa.selenium.remote.HttpCommandExecutor.execute(HttpCommandExecutor.java:158)
	at org.openqa.selenium.remote.service.DriverCommandExecutor.execute(DriverCommandExecutor.java:83)
	at org.openqa.selenium.remote.RemoteWebDriver.execute(RemoteWebDriver.java:552)
	at org.openqa.selenium.remote.RemoteWebDriver.findElement(RemoteWebDriver.java:323)
	at org.openqa.selenium.remote.RemoteWebDriver.findElementByXPath(RemoteWebDriver.java:428)
	at org.openqa.selenium.By$ByXPath.findElement(By.java:353)
	at org.openqa.selenium.remote.RemoteWebDriver.findElement(RemoteWebDriver.java:315)
	at org.openqa.selenium.support.events.EventFiringWebDriver.lambda$new$1(EventFiringWebDriver.java:105)
	at com.sun.proxy.$Proxy13.findElement(Unknown Source)
	at org.openqa.selenium.support.events.EventFiringWebDriver.findElement(EventFiringWebDriver.java:194)
	at Sources.TestBase.Base(TestBase.java:55)
	at Sources.AliPOM.PreConditions(AliPOM.java:38)
... Removed 36 stack frames
</div> <!-- stack-trace -->
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-PageObjectModel-class-skipped -->
          <div class="suite-PageObjectModel-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">Sources.AliPOM</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="Crm(public void Sources.AliPOM.Crm(java.lang.reflect.Method) throws java.io.IOException)">
                  </a> <!-- Crm(public void Sources.AliPOM.Crm(java.lang.reflect.Method) throws java.io.IOException) -->
                  <span class="method-name">Crm</span>
                  <span class="parameters">(public void Sources.AliPOM.Crm(java.lang.reflect.Method) throws java.io.IOException)</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-PageObjectModel-class-passed -->
        </div> <!-- panel PageObjectModel -->
        <div panel-name="test-xml-PageObjectModel" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">E:\Study\Automation Testing\PageObjectModel\testng.xml</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <pre>
&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;
&lt;!DOCTYPE suite SYSTEM &quot;http://testng.org/testng-1.0.dtd&quot;&gt;
&lt;suite name=&quot;PageObjectModel&quot; guice-stage=&quot;DEVELOPMENT&quot;&gt;
  &lt;test thread-count=&quot;5&quot; name=&quot;POM&quot;&gt;
    &lt;parameter name=&quot;browser&quot; value=&quot;chrome&quot;/&gt;
    &lt;classes&gt;
      &lt;class name=&quot;Sources.AliPOM&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- POM --&gt;
  &lt;test thread-count=&quot;5&quot; name=&quot;TOM&quot;&gt;
    &lt;parameter name=&quot;browser&quot; value=&quot;IE&quot;/&gt;
    &lt;classes&gt;
      &lt;class name=&quot;Sources.AliPOM&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- TOM --&gt;
&lt;/suite&gt; &lt;!-- PageObjectModel --&gt;
            </pre>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="testlist-PageObjectModel" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Tests for PageObjectModel</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <ul>
              <li>
                <span class="test-name">POM (1 class)</span>
              </li>
              <li>
                <span class="test-name">TOM (1 class)</span>
              </li>
            </ul>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="group-PageObjectModel" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Groups for PageObjectModel</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="times-PageObjectModel" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Times for PageObjectModel</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="times-div">
              <script type="text/javascript">
suiteTableInitFunctions.push('tableData_PageObjectModel');
function tableData_PageObjectModel() {
var data = new google.visualization.DataTable();
data.addColumn('number', 'Number');
data.addColumn('string', 'Method');
data.addColumn('string', 'Class');
data.addColumn('number', 'Time (ms)');
data.addRows(2);
data.setCell(0, 0, 0)
data.setCell(0, 1, 'Crm')
data.setCell(0, 2, 'Sources.AliPOM')
data.setCell(0, 3, 8071);
data.setCell(1, 0, 1)
data.setCell(1, 1, 'Crm')
data.setCell(1, 2, 'Sources.AliPOM')
data.setCell(1, 3, 0);
window.suiteTableData['PageObjectModel']= { tableData: data, tableDiv: 'times-div-PageObjectModel'}
return data;
}
              </script>
              <span class="suite-total-time">Total running time: 8 seconds</span>
              <div id="times-div-PageObjectModel">
              </div> <!-- times-div-PageObjectModel -->
            </div> <!-- times-div -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="reporter-PageObjectModel" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Reporter output for PageObjectModel</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="ignored-methods-PageObjectModel" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">0 ignored methods</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="chronological-PageObjectModel" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Methods in chronological order</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="chronological-class">
              <div class="chronological-class-name">Sources.AliPOM</div> <!-- chronological-class-name -->
              <div class="configuration-method before">
                <span class="method-name">PreConditions(public void Sources.AliPOM.Crm(java.lang.reflect.Method) throws java.io.IOException, chrome)</span>
                <span class="method-start">0 ms</span>
              </div> <!-- configuration-method before -->
              <div class="test-method">
                <span class="method-name">Crm(public void Sources.AliPOM.Crm(java.lang.reflect.Method) throws java.io.IOException)</span>
                <span class="method-start">17406 ms</span>
              </div> <!-- test-method -->
              <div class="configuration-method after">
                <span class="method-name">PostConditions</span>
                <span class="method-start">25482 ms</span>
              </div> <!-- configuration-method after -->
              <div class="configuration-method before">
                <img src="failed.png">
                </img>
                <span class="method-name">PreConditions(public void Sources.AliPOM.Crm(java.lang.reflect.Method) throws java.io.IOException, IE)</span>
                <span class="method-start">28593 ms</span>
              </div> <!-- configuration-method before -->
              <div class="test-method">
                <span class="method-name">Crm</span>
                <span class="method-start">-1562888667632 ms</span>
              </div> <!-- test-method -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
      </div> <!-- main-panel-root -->
    </div> <!-- wrapper -->
  </body>
</html>
